Bug 509040 - Unable to mount usb, cd or sound devices
Unable to mount usb, cd or sound devices
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 20:00 EDT by Paul F. Johnson
Modified: 2015-01-14 18:23 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:45:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2009-06-30 20:00:04 EDT
Description of problem:
PolicyKit is currently not allowing USB devices or CDs to be mounted. /dev/snd is also not giving the correct permissions to the logged in user (everything is assigned to root:audio instead of <user>:audio)

Version-Release number of selected component (if applicable):
PolicyKit-0.9-6.fc11.i586


How reproducible:
Always

Steps to Reproduce:
1. Connect a USB device to a PC
2. Insert a CD
3. Try and play audio
  
Actual results:
1 & 2 : Authorization error
3 : Silence, glorious silence

Expected results:
1 & 2 : Mounts fine
3 : Ghostbusters!!!!

Additional info:
2.6.31-0.33.rc1.git2.fc12.i686.PAE
Comment 1 Jonathan Kamens 2009-07-22 06:40:33 EDT
In current Rawhide, pulseaudio is reporting these messages in syslog every five seconds:


Jul 22 06:36:28 jik2 pulseaudio[30822]: module-udev-detect.c: Failed to enable monitor: Operation not permitted
Jul 22 06:36:28 jik2 pulseaudio[30822]: module.c: Failed to load  module "module-udev-detect" (argument: ""): initialization failed.
Jul 22 06:36:28 jik2 pulseaudio[30822]: main.c: Module load failed.
Jul 22 06:36:28 jik2 pulseaudio[30822]: main.c: Failed to initialize daemon.
Jul 22 06:36:28 jik2 pulseaudio[30820]: main.c: Daemon startup failed.

https://www.redhat.com/archives/fedora-test-list/2009-July/msg00376.html says, "This issue is mostly caused by the moving of the device ACL management from HAL to udev," so I'm transferring this ticket from PolicyKit to udev.  If that's the wrong thing to do, please correct as necessary.
Comment 2 Harald Hoyer 2009-07-22 08:10:18 EDT
reassigning to pulseaudio to request comments
Comment 3 Lennart Poettering 2009-07-22 19:19:19 EDT
udev acl management is currently broken. This depends on ck getting fixed to write its database at the right time:

https://bugs.freedesktop.org/show_bug.cgi?id=22112

a temporary workaround is to make yourself member of the "audio" group which has the effect that the ACLs don't need to be set up correctly.

Reassigning to ck, since this needs to get fixed in ck first. When udev-acl is then fixed, too, PA should start to work magically without further change.
Comment 4 Bug Zapper 2009-11-16 05:34:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-11-04 06:53:31 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-05 01:45:50 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.